Summary:       A lightweight configuration file parsing library
Name:          liblcfg
Version:       0.2.2
Release:       2%{?dist}%{?pext}
License:       GPL
Group:         System Environment/Libraries
Source0:       http://%{name}.carnivore.it/files/%{name}-%{version}.tar.gz
URL:           http://%{name}.carnivore.it/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Paul Baecher <pbaecher@gmail.com>

%description
Liblcfg is a lightweight configuration file parsing library written in C99.
The supported file format allows for arbitrarily nested simple assignments,
lists and maps (aka dictionaries).


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains the libraries and header files for
developing software using %{name}.


%package       static
Summary:       Static libraries for %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description   static
The %{name}-static package contains the statically linkable libraries for
%{name}.


%prep
%setup -q


%build
%configure \
	--enable-static \
	--enable-shared \
	--enable-lfs

%{__make} %{?_smp_mflags}

# Embeddable version
./mksinglefile.sh


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc lcfg_static.*
%{_bindir}/lcfg
%{_includedir}/lcfg
%{_includedir}/lcfgx
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so

%files static
%defattr(-,root,root)
%{_libdir}/%{name}.a


%changelog
* Tue May 14 2013 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.2-2
- Splitted static libraries from devel package

* Fri Apr 06 2012 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.2-1
- New version (0.2.2)

* Fri Aug 05 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.0-1
- Initial build
